- Qt 5.15
- Qt Labs Platform
- QML Types
- Dialog QML Type
- Qt 5.15.18 Reference Documentation

# Dialog QML Type

The base class of native dialogs. More...

Import Statement: | import Qt.labs.platform 1.1
Since: | Qt 5.8
Inherits: | QtObject
Inherited By: | ColorDialog, FileDialog, FolderDialog, FontDialog, and MessageDialog

- List of all members, including inherited members

## Properties

- data : list<Object>
- flags : Qt::WindowFlags
- modality : Qt::WindowModality
- parentWindow : Window
- result : int
- title : string
- visible : bool

## Signals

- void accepted()
- void rejected()

## Methods

- void accept()
- void close()
- void done(int result)
- void open()
- void reject()

## Detailed Description

The Dialog type provides common QML API for native platform dialogs.

To show a native dialog, construct an instance of one of the concrete Dialog implementations, set the desired properties, and call open(). Dialog emits accepted() or rejected() when the user is done with the dialog.

Note: Types in Qt.labs modules are not guaranteed to remain compatible in future versions.

## Property Documentation

[default] data : list<Object>

This default property holds the list of all objects declared as children of the dialog.

flags : Qt::WindowFlags

This property holds the window flags of the dialog. The default value is `Qt.Dialog`.

modality : Qt::WindowModality

This property holds the modality of the dialog. The default value is `Qt.WindowModal`.

Available values:

Constant | Description
--- | ---
`Qt.NonModal` | The dialog is not modal and does not block input to other windows.
`Qt.WindowModal` | The dialog is modal to a single window hierarchy and blocks input to its parent window, all grandparent windows, and all siblings of its parent and grandparent windows.
`Qt.ApplicationModal` | The dialog is modal to the application and blocks input to all windows.

parentWindow : Window

This property holds the parent window of the dialog.

Unless explicitly set, the window is automatically resolved by iterating the QML parent objects until a Window or an Item that has a window is found.

result : int

This property holds the result code.

Standard result codes:

Constant | Value
--- | ---
`Dialog.Accepted`
`Dialog.Rejected`

Note: MessageDialog sets the result to the value of the clicked standard button instead of using the standard result codes.

title : string

This property holds the title of the dialog.

visible : bool

This property holds the visibility of the dialog. The default value is `false`.

See also open() and close().

## Signal Documentation

void accepted()

This signal is emitted when the dialog has been accepted either interactively or by calling accept().

Note: This signal is not emitted when closing the dialog with close().

Note: The corresponding handler is `onAccepted`.

See also rejected().

void rejected()

This signal is emitted when the dialog has been rejected either interactively or by calling reject().

Note: This signal is not emitted when closing the dialog with close().

Note: The corresponding handler is `onRejected`.

See also accepted().

## Method Documentation

void accept()

Closes the dialog and emits the accepted() signal.

See also reject().

void close()

Closes the dialog.

See also visible and open().

void done(int result)

Closes the dialog and sets the result.

See also accept(), reject(), and result.

void open()

Opens the dialog.

See also visible and close().

void reject()

Closes the dialog and emits the rejected() signal.

See also accept().